Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.DynamicAny
Class DynEnumHelper

    java.lang.Object
      |
      +--org.omg.DynamicAny.DynEnumHelper

public class DynEnumHelper
extends java.lang.Object

Helper class for : DynEnum

Author:
  OpenORB Compiler

Constructor Summary
`DynEnumHelper()`

Method Summary
`static DynEnum` | `extract(Any a)` Extract DynEnum from an any
`static java.lang.String` | `id()` Return the DynEnum IDL ID
`static void` | `insert(Any a, DynEnum t)` Insert DynEnum into an any
`static DynEnum` | `narrow(Object obj)` Narrow CORBA::Object to DynEnum
`static DynEnum` | `read(InputStream istream)` Read DynEnum from a marshalled stream
`static TypeCode` | `type()` Return the DynEnum TypeCode
`static DynEnum` | `unchecked_narrow(Object obj)` Unchecked Narrow CORBA::Object to DynEnum
`static void` | `write(OutputStream ostream, DynEnum value)` Write DynEnum into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynEnumHelper

    public DynEnumHelper()

Method Detail

### insert

    public static void insert(Any a,
                              DynEnum t)

  Insert DynEnum into an any
  Parameters:
    `a` - an any
    `t` - DynEnum value

### extract

    public static DynEnum extract(Any a)

  Extract DynEnum from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted DynEnum value

### type

    public static TypeCode type()

  Return the DynEnum TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the DynEnum IDL ID
  Returns:
    an ID

### read

    public static DynEnum read(InputStream istream)

  Read DynEnum from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed DynEnum value

### write

    public static void write(OutputStream ostream,
                             DynEnum value)

  Write DynEnum into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - DynEnum value

### narrow

    public static DynEnum narrow(Object obj)

  Narrow CORBA::Object to DynEnum
  Parameters:
    `obj` - the CORBA Object
  Returns:
    DynEnum Object

### unchecked_narrow

    public static DynEnum unchecked_narrow(Object obj)

  Unchecked Narrow CORBA::Object to DynEnum
  Parameters:
    `obj` - the CORBA Object
  Returns:
    DynEnum Object

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD